TONTONDocs
TON CenterAPI referenceBlocks

Get shards

Return active shardchain block identifiers at a given masterchain block height.

GET
/api/v2/getShards

Query Parameters

seqno*integer

Seqno of masterchain block

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getShards?seqno=68213743"
{
  "ok": true,
  "result": {},
  "@extra": "string",
  "jsonrpc": "string",
  "id": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "workchain required"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings